/* paramètres généraux */
@font-face {
    font-family: "font-reg";
    src: url(../fonts/PlayfairDisplay-Regular.ttf);
}
@font-face {
    font-family: "font-bold";
    src: url(../fonts/PlayfairDisplay-ExtraBold.ttf);
}
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
/* couleur selection du texte */
/* *::selection {
    background: #000101;
    color: #fefeff;
} */
/* effet scroll  */
html {
    scroll-behavior: smooth;
}
body {
    font-family: "font-reg", serif;
    background: #969d9d;
    color: #b8b8bb;
    transition: 0.7s ease-in-out;
}

/* navbar */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background-color: #333;
    color: #fff;
}

.navbar-brand .logo {
    color: #fff;
    text-decoration: none;
    font-size: 24px;
    font-weight: bold;
}

.navbar-nav {
    list-style: none;
    display: flex;
}

.nav-item {
    margin-left: 20px;
}

.nav-link {
    color: #fff;
    text-decoration: none;
    font-size: 18px;
}


.download-btn {
    background-color: #007bff;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
}
.hero-section {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    color: #050505;
    background-color: white;
    animation: none;
    overflow: hidden; /* Ajouté pour s'assurer que les animations ne débordent pas */
    background: linear-gradient(45deg, #050505, #fff, #050505);
    background-size: 200% 200%;
    animation: gradient 5s ease infinite;
}
@keyframes gradient {
    0% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
}

.hero-content {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    transition: transform 0.3s ease; /* Ajouté pour une animation fluide */
}

.profile-image {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    margin-right: 20px;
    transition: transform 0.3s ease; /* Ajouté pour une animation fluide */
}

.profile-image:hover {
    transform: scale(1.05); /* Effet de zoom sur le survol */
}

.profile-image img {
    width: 100%;
    height: auto;
    border-radius: 50%; /* Assure que l'image est circulaire */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Ajout d'une ombre pour un effet 3D */
}

.hero-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.hero-title {
    font-size: 48px;
    margin-bottom: 20px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2); /* Ajout d'une ombre pour un effet 3D */
    animation: fadeIn 2s ease-in-out; /* Animation de fondu pour le titre */
}

.hero-subtitle {
    font-size: 24px;
    color: rgb(118 ,118, 118);
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2); /* Ajout d'une ombre pour un effet 3D */
    animation: fadeIn 2s ease-in-out 0.5s; /* Animation de fondu pour le sous-titre, avec un décalage pour éviter la synchronisation */
}

/* Ajout des animations */
@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}



.wrapper{
    perspective: 800px;
}
/* effets transition d'apparition */
.appear {
    opacity: 0;
    transform: translateY(100%) rotateX(-80deg);
    transform-origin: top center;
    transform-style: preserve-3d;
    transition: 0.8s cubic-bezier(0.215,0.61,0.355,1);
}
.appear.is-inview{
    opacity: 1;
    transition-delay: 1s;
    transform: none;
}
h2 {
    /* calcul la taille à adapter selon largeur de l'écran min 3rem */
    font-size: calc(2.6rem + 3.4vw); 
    text-align: center;
    color: rgb(217, 217, 217);
    font-family: "font-bold", serif;
    letter-spacing: 3px;
}
.title {
    font-size: calc(1.5rem + 4vw);
    letter-spacing: 0;
}
span {
    display: inline-block;
}
a, a:visited {
    cursor: pointer;
    position: relative;
    text-decoration: none;
    color: #fefeff;
    transition: 0.1s linear;
    font-size: calc(0.8rem + 0.8vw);
}
a::after {
    content: "";
    position: absolute;
    width: 100%;
    background: #fefeff;
    height: 1px;
    bottom: -4px;
    left: 0;
    /* indique le départ de l'animation à partir de la gauche */
    /* transform-origin: left ; */
}
a:hover {
    /* la scale fonctionne car il y a le display:flex du header */
    transform: scale(1.04);
    color: rgb(200, 200, 200);
}
a:hover::after {
    animation: animeLink 1.4s infinite ease-in-out;
}
/* on paramètre "crée" notre animation */
@keyframes animeLink {
    50% {
        transform: scaleX(0.2);
    }
    100% {
        transform: scaleX(1);
    }       
}
.img {
    height: 400px;
    width: 100vw;
    max-width: 390px;
    margin: 0 auto;
    /* effet noir et blanc des image */
    filter: grayscale(100%);
    transition: 1.6s;
}

/* contact Menu */
.contact-menu {
    background-color: #6b6d6e;
    border: 1px solid rgba(0,0,0,.15);
    border-radius: .25rem;
    padding: .5rem 0;
    margin-top: .125rem;
    position: absolute;
    min-width: 10rem;
    z-index: 1000;
}

.contact-menu a {
    display: block;
    width: 100%;
    padding: .25rem 1.5rem;
    clear: both;
    font-weight: 400;
    color: #212529;
    text-align: inherit;
    white-space: nowrap;
    background-color: transparent;
    border: 0;
}

.contact-menu a:hover, .contact-menu a:focus {
    color: #16181b;
    text-decoration: none;
    background-color: #f8f9fa;
}


.img:hover {
    filter: grayscale(10%);
}
/* ligne de séparation des sections */
.line {
    height: 2px;
    width: 70%;
    margin: 0 auto;
    background: #000101;
    transition: 1s cubic-bezier(0.77, 0, 0.18, 1);
    /* transform-origin: left; */
    transition-delay: 0.30s;
    opacity: 0;
    transform: scaleX(0);
}
.line-wrapper.is-inview .line{
    opacity: 1;
    transform: scaleX(1);
}
/* paramètres par ordre d'apparition */
/* section header */
header {
    height: 100vh;
    position: relative;
    margin: 1.5vw 2vw 0;
}
.links {
    display: flex;
    justify-content: space-between;
}
#h1-wrapper {
    transition-delay: .4s;
}
h1 {
    font-size: calc(2rem + 6vw);
    margin-top: 50px;
    font-family: "font-bold", serif;
    letter-spacing: 5px;
    /* color: #fefeff; */
}
header h2 {
    margin: 15px 0;
    text-align: left;
    font-size: calc(1rem + 5vw);
}
#h2-1{
    transition-delay: .9s;
}
#h2-2{
    transition-delay: 1.2s;
}
/* .scroll-wrapper {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 2.5vw;
    color: rgb(217, 217, 217);
    font-size: calc(0.8rem + 0.2vw);
} */
/* section about */
.about {
    background-color: #f9f9f9; /* Couleur de fond claire */
    padding: 50px 0; /* Espacement intérieur */
    text-align: center; /* Centrer le texte */
}

.img1-wrapper {
    position: relative;
    height: 300px; /* Hauteur de l'image */
    overflow: hidden; /* Cache le débordement */
}

.img1 {
    background-image: url('../img/dalila-labo-recherche.jpeg');
    background-size: cover; 
    background-position: center; 
    height: 100%; 
    width: 100%; 
}

.h2-wrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff; /* Couleur du texte */
}



.about p {
    max-width: 800px; /* Largeur maximale du paragraphe */
    margin: 0 auto; /* Centrer le paragraphe */
    font-size: 18px; /* Taille de la police */
    line-height: 1.6; /* Espacement entre les lignes */
    color: #333; /* Couleur du texte */
}

.about strong {
    color: #050505; /* Couleur du texte en gras */
}

/* Bouton Mon CV */
.download-btn {
    background-color: blue;
    color: white;
    border: none;
    padding: 10px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 4px;
}
/* partie expertise */
.skills {
    margin : 100px 0 0px;
    background-color: #f9f9f9;
}
.skills h2 {
    margin-bottom: 50px;
    color: #000101;
}
.skills .wrapper {
    margin: 30px 0;
}
.skills .appear {
    text-align: center;
    transition-delay: .6s;
}
.skills p {
    font-size: calc(1rem + 6vw);
    font-family: "font-bold", serif;
    letter-spacing: 4px;
    background: #08d9d9;
    color: #fefeff;
    display: inline-block;
    padding: 0 12px 12px;
    opacity: .8;
}
/* portfolio / projet */
.portfolio {
    margin: 100px 0 0px;
    background-color: #f9f9f9;
}

.portfolio h2{
    margin-bottom: 50px;
    color: #000101;
}
.projects-container {
    margin-top: 100px;
}
.project {
    position: relative;
    width: 60vw;
    max-width: 600px;
    margin: 50px 5vw;
}
.project::before{
    content: "";
    position: absolute;
    height: 110%;
    width: 100%;
    top: -3px;
    background: #fefeff;
    transition: width 1s ease-out;
    transition-delay: .85s;
}
.project.is-inview::before {
    width: 0;
}
#p2 {
    margin: 0 6vw 0 auto;
}
#p3 {
    margin-left: 8vw;
}
.project img{
    transition: 0.4s ease-out;
    width: 100%;
}
.project:hover img {
    filter: brightness(20%);
}
.project:hover .project-infos {
    opacity: 1;
    transform: translate(0, -50%);
}
.project-infos {
    position: absolute;
    top: 50%;
    transform : translate(-50px, -50%);
    margin-left: 8vw;
    transition: 0.4s ease-out;
    opacity: 0;
}
.project-infos a {
    font-size: calc(1rem + 3vw);
}
.project-infos p {
    font-size: 2rem;
    margin-top: 1.5vw;
    color: #fefeff;
}
/* contact */
/* Style pour la section de contact */
/* Style amélioré pour la section de contact */
.contact {
    margin: 100px 0 0px;
    background-color: #f9f9f9;
    padding: 50px 0; /* Espacement intérieur */
    font-size: 30px;
}

.small-text {
    font-size: 0.8em; /* Taille de la police réduite */
    color: #007bff; /* Couleur spécifique pour ces mots */
}

.contact-container {
    display: flex; /* Utiliser Flexbox pour l'alignement */
    justify-content: space-between; /* Espacer les éléments */
    align-items: center; /* Centrer verticalement les éléments */
    max-width: 800px; /* Largeur maximale du conteneur */
    margin: 0 auto; /* Centrer le conteneur */
}

/* Style de base pour tous les liens */
.contact a {
    color: #007bff; /* Couleur principale des liens */
    text-decoration: none; /* Enlève la soulignement par défaut */
    transition: color 0.3s ease; /* Transition douce pour les changements de couleur */
}

/* Style pour les liens survolés */
.contact a:hover {
    color: #0056b3; /* Couleur change lors du survol */
    text-decoration: underline; /* Ajoute une soulignement lors du survol */
}

.contact-text .wrapper {
    width: 100%; /* Largeur du texte */
}

.contact-image .img3 {
    height: 200px;
    width: 200px; /* Largeur et hauteur de l'image */
    margin-right: 50px;
    background-image: url('../img/dr-dalila.jpeg'); /* Assurez-vous que le chemin est correct */
    background-size: cover; /* Ajuste l'image pour couvrir l'espace */
    background-position: center; /* Centre l'image */
    border-radius: 50%; /* Bordure circulaire */
    overflow: hidden; /* Cache les parties de l'image qui dépassent de la forme circulaire */
}

/* Style pour le pied de page (footer) */
.footer {
    background-color: #050505; /* Couleur de fond du pied de page */
    color: #ffffff; /* Couleur du texte */
    padding: 20px 0; /* Espacement intérieur */
    font-size: 10px; /* Taille de la police */
    text-align: center; /* Centrer le texte */
    position: relative; /* Position relative pour le footer */
    bottom: 0; /* Alignement en bas */
    width: 100%; /* Largeur complète */
    height: 100px !important;
}

.footer .footer-content {
    max-width: 1200px; /* Largeur maximale du conteneur */
    margin: 0 auto; /* Centrer le conteneur */
}

.footer span, .footer a {
    margin: 0 10px; /* Espacement entre les éléments */
}

.footer a {
    color: #ffffff; /* Couleur des liens */
    text-decoration: none; /* Enlever la soulignement des liens */
}

.footer a:hover {
    color: #ff6347; /* Couleur des liens au survol */
}


 
#l2 {
    transition-delay: 1.2s;
}
#l3 {
    transition-delay: 1.6s;
}
#l4 {
    transition-delay: 2s;
}
.contact a, .corps-page a {
    font-family: "font-bold", serif;
    color: #000101;
    font-size: calc(1rem + 2vw);
}
/* partie projets version 1 */
.projectv1-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    padding: 20px;
}

.project-card {
    background-color: #ffffff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 300px;
    overflow: hidden;
    transition: transform 0.3s ease;
}

.project-card:hover {
    transform: scale(1.05);
}

.project-card img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.project-info {
    padding: 20px;
}

.project-info h3 {
    margin: 0;
    font-size: 18px;
    margin-bottom: 10px;
}

.project-info p {
    margin: 0;
    font-size: 14px;
    margin-bottom: 10px;
}

.project-info a {
    text-decoration: none;
    color: #007bff;
}
/* partie compétence */
.skills-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    padding: 20px;
}

.skill-card {
    background-color: #c5d1ff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 300px;
    overflow: hidden;
    transition: transform 0.3s ease;
}

.skill-card:hover {
    transform: scale(1.05);
}

.skill-info {
    padding: 20px;
}

.skill-info h3 {
    margin: 0;
    font-size: 18px;
    margin-bottom: 10px;
}


/* partie des vidéos */
.video-gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-gap: 20px;
    align-items: center;
    justify-content: center;
    padding: 20px;
}

.video-container {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%; /* 16:9 Aspect Ratio */
    overflow: hidden;
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
/* ------------------Parcours---------------------- */
/* ------------------titre - citation---------------------- */
#p1{
    transition-delay: .9s;
}
#p2{
    transition-delay: 1.2s;
}
header p {
    margin: 15px 0;
    text-align: left;
    font-size: calc(1rem + 3vw);
}
/* ------------------Timeline---------------------- */
#main{
    min-height: 100vh;
    width: 100%;
    padding: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.timeline{
    width: 80%;
    height: auto;
    max-width: 800px;
    margin: 60px auto;
    position: relative;
}
.timeline ul{
    list-style: none;
}
.timeline ul li {
    padding: 20px;
    background-color: #000101b8;
    color: #fefeff;
    border-radius: 12px;
    margin-bottom: 20px;
}
.timeline ul li:hover {
    background-color: rgba(6, 61, 95, 0.85);
}
.timeline ul li:last-child{
    margin-bottom: 0px;
}
.timelineContent .date{
    font-size: calc(1.5rem + 1.8vw);
    color: rgb(217, 217, 217);
    margin-bottom: 5px;
    letter-spacing: 2px;
    text-align: left;
}
.timeline h2.timelineh2{
    font-size: calc(1.8rem + 2vw);
    margin-bottom: 50px;
    
}
.timelineContent h3.timelineh3{
    font-size: calc(1.3rem + 2.2vw);
    color: #fefeff;
    line-height: 50px;
    margin-bottom: 10px;
    font-family: "font-bold", serif;
    letter-spacing: 3px;
    text-align: center;
}
.timelineContent p{
    font-size: calc(1rem + 1vw);
    line-height: 50px;
    text-align: center;
}

/* ------------------Mentions légales---------------------- */
.corps-page{
   
    text-align: center;
    margin: 0px;
    background-color: #fefeff;
    color: #000101;
}
.corps-page h1 {
    font-size: 62px;
    margin: 0px 0px 20px;
}
.corps-page h2 {
    font-size: 48px;
    color: #000101;
    margin: 20px 0;
}
.corps-page p {
    line-height: 50px;
    text-align: justify;
    padding: 10px 50px 0px;
    font-size: calc(1rem + 2vw);
    margin: 5px 0;
}

.corps-page p a {
    color: rgb(47, 45, 45);
    font-weight: bolder;
}
/* ------------------Responsif---------------------- */
/*----partie timeline----*/
@media (min-width: 650px){
    .timeline{
        width: 100%;
        max-width: 100%;
        margin: 40px;
    }
    .timeline h2.timelineh2{
        font-size: calc(2.8rem + 4vw);
    }
    .timeline::after{
        content: '';
        position: absolute;
        height: 90%;
        width: 3px;
        background-color: #000101b8;
        left: 50%;
        transform: translateX(-50%);
    }
    .timeline ul li {
        width: 50%;
        margin-bottom: 50px;
        position: relative;
    }
    .timeline ul li:nth-child(odd){
        float: left;
        clear: right;
        transform: translateX(-30px);
        border-radius: 20px 0px 20px 20px;
    }
    .timeline ul li:nth-child(even) {
        float: right;
        clear: left;
        transform: translateX(30px);
        border-radius: 0px 20px 20px;
    }
    .timeline ul li::after {
        content: '';
        position: absolute;
        background-color: #000101;
        height: 20px;
        width: 20px;
        border-radius: 50%;
        top: 0;
        transform: translateX(-50%);
    }
    .timeline ul li:nth-child(odd)::after{
        right: -30px;
        transform: translate(50%, -50%);
        border-radius: 0px 20px 20px ;
    }
    .timeline ul li:nth-child(even)::after{
        left: -30px;
        transform: translate(-50%, 50%);
        border-radius: 20px 0px 20px 20px;
    }
    .timeline ul li:hover:after {
        background-color: rgba(6, 61, 95);
    }
    .timeline ul li:hover {
        background-color: rgba(6, 61, 95, 0.85);
    }
    .timelineContent .date{
        position: absolute;
        top: -50px;
        color: #000101;
    }
}


